commit 9ecbb33982299a8d83a72d4dcd951949e5cfb81e
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 23 10:35:12 2025 +0000

    Local-scan: bump API minor version
    
    Things like constification and ifdeffed-feature removal
    have, strictly, affected the API definition

diff --git a/src/src/exim.c b/src/src/exim.c
index a50303049..32ca1e1d2 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -1125,6 +1125,9 @@ g = string_cat(g, US"Support for:");
 #ifdef WITH_CONTENT_SCAN
   g = string_cat(g, US" Content_Scanning");
 #endif
+#ifdef HAVE_LOCAL_SCAN
+  g = string_cat(g, US" Local_Scan");
+#endif
 #ifndef DISABLE_EXIM_FILTER
   g = string_cat(g, US" Exim_filter");
 #endif
@@ -1282,6 +1285,7 @@ DEBUG(D_any)
 #else
   g = string_cat(g, US"Compiler: <unknown>\n");
 #endif
+/*XXX Sun Studio compiler? */
 
 #if defined(__GLIBC__) && !defined(__UCLIBC__)
   g = string_fmt_append(g, "Library version: Glibc: Compile: %d.%d\n",
@@ -1344,6 +1348,10 @@ Currently they are output in misc_mod_add() */
   g = string_fmt_append(g, "TRUSTED_CONFIG_LIST: %q\n", TRUSTED_CONFIG_LIST);
 #else
   g = string_cat(g, US"TRUSTED_CONFIG_LIST unset\n");
+#endif
+#ifdef HAVE_LOCAL_SCAN
+  g = string_cat(g, US"Local-Scan API: "
+		    mac_expanded_string(LOCAL_SCAN_ABI_VERSION) "\n");
 #endif
   }
 
diff --git a/src/src/local_scan.h b/src/src/local_scan.h
index 355487b0d..915b12007 100644
--- a/src/src/local_scan.h
+++ b/src/src/local_scan.h
@@ -44,7 +44,7 @@ each time a new feature is added (in a way that doesn't break backward
 compatibility). */
 
 #define LOCAL_SCAN_ABI_VERSION_MAJOR 6
-#define LOCAL_SCAN_ABI_VERSION_MINOR 0
+#define LOCAL_SCAN_ABI_VERSION_MINOR 1
 #define LOCAL_SCAN_ABI_VERSION \
   LOCAL_SCAN_ABI_VERSION_MAJOR.LOCAL_SCAN_ABI_VERSION_MINOR
 

